<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>ho-cloud</artifactId>
        <groupId>com.hoenergy</groupId>
        <version>1.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>flowable-center</artifactId>

    <properties>
        <flowable-src.version>1.0</flowable-src.version>
        <flowable-center-dao.version>1.0</flowable-center-dao.version>
    </properties>

    <dependencies>
        <!--flowable-center-dao-->
        <!--<dependency>
            <groupId>com.hoenergy</groupId>
            <artifactId>flowable-src</artifactId>
            <version>${flowable-src.version}</version>
        </dependency>-->

        <dependency>
            <groupId>com.hoenergy</groupId>
            <artifactId>flowable-src</artifactId>
            <version>${flowable-src.version}</version>
            <scope>system</scope>
            <systemPath>${project.basedir}/src/main/resources/lib/flowable-src-1.0.jar</systemPath>
            <exclusions>
                <exclusion>
                    <groupId>com.hoenergy</groupId>
                    <artifactId>common-tools</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>com.hoenergy</groupId>
                    <artifactId>flowable-center-dao</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.hoenergy</groupId>
            <artifactId>flowable-center-dao</artifactId>
            <version>${flowable-center-dao.version}</version>
        </dependency>

        <!--SpringCloud ailibaba nacos -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

    </dependencies>

    <build>
        <finalName>${project.artifactId}</finalName>
        <defaultGoal>compile</defaultGoal>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.2.12.RELEASE</version>
                <configuration>
                    <includeSystemScope>true</includeSystemScope>
                </configuration>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <skipTests>true</skipTests>
                </configuration>
            </plugin>

        </plugins>
    </build>


</project>